import initAccordion from "./components/accordion.js";
// import { Catalog } from "./components/catalog.js";
// import { lightboxVideo } from "./components/g-lightbox/popup-video.js";
import { HeaderMenu } from "./components/HeaderMenu.js";
import scrollHeader from "./handlers/scrollHeader.js";
import initAwardsToggle from "./handlers/initAwardsToggle.js";
// import { initMask } from "./components/imask.js";
// import { waitForYandexApi } from "./components/map.js";
// import { handleClickPartnersButton } from "./components/partners-button.js";
// import { Popover } from "./components/popover.js";
import initLogos from "./components/clients.js";
import { initSliders } from "./components/sliders.js";
import { Tabs } from "./components/tabs.js";
import { lazyLoadMap } from "./components/map.js";

function app() {
   new HeaderMenu();
   scrollHeader();
   // console.log("kjj");
   // new Catalog();
   // new Accordion();
   // new Popover();

   initSliders();
   initLogos();
   initAwardsToggle();
   initAccordion();

   // lightboxVideo();
   // handleClickPartnersButton();

   // waitForYandexApi();
   // initMask();
   const tabs = document.querySelectorAll(".zr-tabs");
   tabs.forEach((tab) => new Tabs(tab));

   lazyLoadMap(".js-map");
}

export { app };
